routes/web.php
<?php

use App\Http\Controllers\ActivityController;
use App\Http\Controllers\BrandController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\FileController;
use App\Http\Controllers\WebsiteController;
use App\Http\Controllers\ImageController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\ProjectController;
use App\Http\Controllers\SentenceController;
use App\Http\Controllers\SubActivityController;
use App\Http\Controllers\TicketController;
use App\Http\Controllers\UserController;
use App\Models\Brand;
use App\Models\Image;
use App\Models\Product;
use App\Models\SubActivity;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('/home');
    $ar = [
        'Hello' => 'HelloX',
        'Yes' => 'YesX'
    ];
    unset($ar['Hello']);
    dd($ar);
    //send email for user contain link of new passord
    Mail::send('mail_test', array('body' => 'Test Email'),
    function ($message) {
        $message->to('eng.yousha.asaad@gmail.com');
        $message->subject('Test');
    });


     //get base sentences (in english) from languages file to transalte it
     $source = require resource_path('lang/ar/sentence.php');
     //we store translations here

     //fill temp array with all english sentences and make its translations = ' '
     foreach ($source as $key => $value) {
         $temp[$key] = '';
     }

    /*
    $prodcuts = Brand::find(1);
    dd($prodcuts->images[0]->path);
    */
    /*
    $image = new Image();
    $image->path = 'assets/images/brancd/wavetec2.png';

    $prodcuts = Brand::find(1);
    $prodcuts->images()->save($image);
    dd($prodcuts);
    */
    return view('welcome');
});

//website toutes
Route::get('/home', [WebsiteController::class , 'index']);
Route::get('/services', [WebsiteController::class , 'showServices'])->name('showService');

//panel routes
Route::resource('brand' , BrandController::class);
Route::resource('category' , CategoryController::class);
Route::resource('product' , ProductController::class);
Route::resource('image' , ImageController::class);
Route::resource('project' , ProjectController::class);
Route::resource('activity' , ActivityController::class);
Route::resource('sub-activity' , SubActivityController::class);
Route::resource('ticket' , TicketController::class);
Route::resource('file' , FileController::class);
Route::resource('user' , UserController::class);
Route::resource('client' , ClientController::class);
Route::resource('sentence' , SentenceController::class);

Route::post('/delete_brands', [BrandController::class , 'deleteGroup'])->name('delete_brands');
Route::post('/delete_clients', [ClientController::class , 'deleteGroup'])->name('delete_clients');
Route::post('/delete_categories', [CategoryController::class , 'deleteGroup'])->name('delete_categories');
Route::post('/delete_products', [ProductController::class , 'deleteGroup'])->name('delete_products');
Route::get('{brand_id}/categories' , [BrandController::class , 'showCategories'])->name('showCategories');
Route::post('/delete_activities', [ActivityController::class , 'deleteGroup'])->name('delete_activities');
Route::post('/delete_sub_activities', [SubActivityController::class , 'deleteGroup'])->name('delete_sub_activities');
Route::post('/delete_files', [FileController::class , 'deleteGroup'])->name('delete_files');
Route::get('/downloads/{type}', [FileController::class , 'show_downloads'])->name('downloads');
Route::post('/verify_all_users', [UserController::class , 'verifyGroup'])->name('verify_all_users');

Route::post('/resolve_tickets', [TicketController::class , 'resolve_all_tickets'])->name('resolve_tickets');

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');


//General setting

Route::get('/general', [App\Http\Controllers\GeneralSetting::class, 'index'])->name('general_setting');
Route::get('/updated_ticekts_time', [App\Http\Controllers\GeneralSetting::class, 'update_times'])->name('update_times');
Route::get('/change_language', [App\Http\Controllers\GeneralSetting::class, 'change_language'])->name('change_language');

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Illuminate\Support\Facades\DB;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable implements Operations
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'phone',
        'password',
        'company',
        'role',
        'verified',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

     //operation
     public static function getAll(){
        return User::all();
    }

    public static function  getById($id){
        return User::find($id);
    }

    public static function getByColumn($column , $value){
        return DB::table('users')->where($column , $value)->get();
    }

    public static function insert_data($data){
        return DB::table('users')->insert($data);
    }

    public static function update_data($id , $data){
       return  DB::table('users')->where('id' , $id)->update($data);
    }
    public static function delete_data($id){
        return DB::table('users')->where('id' , $id)->delete();
    }
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use App\Models\User;
use Session;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Validator;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        App::setLocale(Session::get('lang'));
        return view('pages.users.requests');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'name' => ['required', 'string', 'max:255'],
            'email' => ['required', 'string', 'email', 'max:255', 'unique:users'],
            'password' => ['required', 'string', 'min:8', 'confirmed'],
            'phone' => ['required'],
            'company' => ['required' , 'string' , 'min:1'],
            'role'  => ['required' , 'string']
        ]);

        if($validator->fails())
        {
            $error =[];
            foreach($validator->getMessageBag()->getMessages() as $key => $value)
            {
                $error[]= $key.': '.join(" , " , $value);
            }

            Session::flash('fail' , join("\n" , $error));
        }else{

            try{
                $user_data=[
                    'name' => $request->name,
                    'email' => $request->email,
                    'phone' => Crypt::encrypt($request->phone),
                    'company' => $request->company,
                    'password' => Hash::make($request->password),
                    'role' => $request->role,
                    'verified' => true,
                ];

                User::create($user_data);
                DB::commit();
                Session::flash('success' , 'Done Successfully');
            }catch(\Exception $ex)
            {
                Session::flash('fail' , "Try Again");
                DB::rollBack();
                Log::info($ex->getMessage());
            }

        }
        return redirect()->back();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request,User $user)
    {
       DB::beginTransaction();

       try{
           $user->verified = true;
           $user->save();
           DB::commit();
           Session::flash('success' , 'Done Successfully');
       }catch(\Exception $ex)
       {
            Session::flash('fail' , "Try Again");
            DB::rollBack();
            Log::info($ex->getMessage());
       }
       return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function verifyGroup(Request $request)
   {
       DB::beginTransaction();
       try{
           unset($request['_token']);
           $users_ids = array_values($request->all());
           foreach($users_ids as $id)
           {
               //here we will delete activity with its images
               $user = User::getById($id);
               $user->verified = true;
               $user->save();
           }

           DB::commit();
           Session::flash('success' , 'Done Successfully');


       }catch(\Exception $ex)
       {
           Session::flash('fail' , "Try Again");
           DB::rollBack();
           Log::info($ex->getMessage());
       }

       return redirect()->back();
   }

}

resources/views/modals/user/addUser.blade.php
<div id="addUserModal" class="modal fade addUserModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<form method="POST"  action="{{route('user.store')}}"  enctype="multipart/form-data">
                @csrf
				<div class="modal-header">
					<h4 class="modal-title">Add Brand</h4>
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				</div>
				<div class="modal-body">
					<div class="form-group">
						<label for="addUserName">User Name</label>
						<input id="addUserName" type="text" class="form-control" name="name"  required autocomplete="name" autofocus>
					</div>


                    <div class="form-group">
						<label for="addUserEmail">User Email</label>
						<input id="addUserEmail" type="email" class="form-control" name="email"  required autocomplete="email" >
					</div>
                    <div class="form-group">
                        <label for="addUserMobile">User Mobile</label>
                        <input id="addUserMobile" type="tel" class="form-control" name="phone" value="{{ old('phone') }}" required autocomplete="phone" pattern="[0-9]+">

                    </div>


                    <div class="form-group">
						<label for="addUserCompany">User Company</label>
						<input id="addUserCompany" type="text" class="form-control" name="company"  required autocomplete="company" >
					</div>

                    <div class="form-group">
						<label for="addUserRole">User Role</label>
                        <select name="role" id="addUserRole" class="form-control form-select selectpicker" required>
                                <option value="" hidden>Select User Role</option>
                                <option value="admin">Admin</option>
                                <option value="customer">Customer</option>
                        </select>
                    </div>

                    <div class="form-group">
						<label for="addUserPassword">User Password</label>
						<input id="addUserPassword" type="password" class="form-control @error('password') is-invalid @enderror" name="password"  required  autocomplete="new-password" >
                        @error('password')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                    </div>

                    <div class="form-group">
						<label for="confirmPassword">Confirm Password</label>
                        <input id="confirmPassword" type="password" class="form-control" name="password_confirmation" required autocomplete="new-password">
					</div>


				</div>
				<div class="modal-footer">
					<input type="button" class="btn btn-info" data-dismiss="modal" value="Cancel">
					<input type="submit" class="btn btn-success" value="Add">
				</div>
			</form>
		</div>
	</div>
</div>